#!/usr/bin/ruby

def decode(filename, format)
    basename = File.basename(filename,'.imq')
    outname = basename + '.raw'
    Kernel.system("cdcomp #{filename} #{outname} 4")
    if format
        Kernel.system("convert -size 800x800 -depth 8 gray:" +
        "#{outname} #{basename}#{format}")
        File.delete(outname)
    end
end

format = nil
ARGV.each do |arg|
    if arg =~ /^(\.\w+)$/
        format = $1
    else
        Dir[arg].each { |file| decode(file,format) if file =~ /\.imq$/ }
    end
end


